Bug 189602 - Receiving segmentation fault when running kudzu
Receiving segmentation fault when running kudzu
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-04-21 11:10 EDT by Andrew Cooper
Modified: 2014-03-16 22:59 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.2.41-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-24 18:49:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Stacktrace of kuzdu (2.23 KB, text/plain)
2006-04-21 11:10 EDT, Andrew Cooper
no flags Details
output strace kudzu (1.01 KB, text/plain)
2006-04-29 13:29 EDT, Sybren
no flags Details

  None (edit)
Description Andrew Cooper 2006-04-21 11:10:36 EDT
Description of problem:
I am getting a segmentation fault when kudzu tries to start up. It fails to
start. This I think causes a problem when hardware detection takes place. The
system simply halts when trying to configure my onboard AC'97 sound card. 
I performed an interactive logon and skipped these and then tried to detect the
sound card, but no go. 

I have attached the stack trace and the output from the /home/root/scsound.log

Version-Release numbekudzu- of selected component (if applicable):

How reproducible:
Every time I boot, or try and run kudzu.

Steps to Reproduce:
1.Boot machine or run kuzdu from shell.

Actual results:
[root@localhost ~]# kudzu
Segmentation fault

Expected results:
Should run

Additional info:
Comment 1 Andrew Cooper 2006-04-21 11:10:36 EDT
Created attachment 128090 [details]
Stacktrace of kuzdu
Comment 2 Sybren 2006-04-29 13:29:43 EDT
Created attachment 128398 [details]
output strace kudzu
Comment 3 alien_life_form 2006-05-08 07:04:51 EDT
Having similar problem, freezes my machine on boot, and interactively.(Notebook
Acer Aspire 5020, ATI Radeon mobility x700). Bugzilla lists other apparently
related/duplicated bugs of the same persuasion.

Ehi guys this bug ***IS*** high priority:

o) makes previously OK systems unbootable
o) getting out of it is a pain in the ass (boot rescue, disable kudzu, find out
if  it can run in SAFE mode - it usually can)
o) it generally make upgrading miserable
Comment 4 Bill Nottingham 2006-05-08 14:32:00 EDT
This bug is about a crash - freezing the machine is another issue entirely.
Please open that separately.
Comment 5 alien_life_form 2006-05-09 05:07:59 EDT
Yes, that is what the subject says. However, out of 4 bugs logged against kudzu
for fc5 (and I wonder, how many people just gave up on the whole thing - "I knew
Linux sucked" - before even filing a bug report), 189602,183978 and 186538 all
say  that kudzu "segfaults", but then say that the system hangs in the description.

I could file my problem against 186538 which is almost identical, except I see a
system freeze from the command line rather than a segfault.

I am under the impression that all of the above: 
i) occur on laptops
ii) do not occur in SAFE mode

methinks they are very similar, but I'll refile or open a new bug if it helps.

Comment 6 Bill Nottingham 2006-08-24 18:49:00 EDT
Fixed in 1.2.41-1 by removing the offending code.

Note You need to log in before you can comment on or make changes to this bug.